﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;

public partial class Default : System.Web.UI.Page
{

    protected void Page_Load(object sender, System.EventArgs e)
    {
        //Databinding the sample dataset to the RadHtmlChart
        DataSet myDS = GetData();
        RadHtmlChart1.DataSource = myDS;
        RadHtmlChart1.DataBind();

        //Setting pragmatically the XAxis values
        RadHtmlChart1.PlotArea.XAxis.DataLabelsField = "Name";

    }

    //Creating a sample dataset
    private DataSet GetData()
    {
        DataSet ds = new DataSet("Bookstore");
        DataTable dt = new DataTable("Products");
        dt.Columns.Add("Id", Type.GetType("System.Int32"));
        dt.Columns.Add("Name", Type.GetType("System.String"));
        dt.Columns.Add("Price1", Type.GetType("System.Double"));
        dt.Columns.Add("Price2", Type.GetType("System.Double"));
        dt.Rows.Add(1, "Pen", 5.45, 6.45);
        dt.Rows.Add(2, "Audio book", 9.95, 10.95);
        dt.Rows.Add(3, "Pencil", 1.99, 3.99);
        dt.Rows.Add(4, "Book", 15.95, 12.95);
        dt.Rows.Add(5, "Newspaper", 0.95, 0.33);
        dt.Rows.Add(6, "Magazine", 3.95, 2.55);
        ds.Tables.Add(dt);
        return ds;
    }


}










